Read Payment Details

This call returns the details of a payment.


Response
{ 
   "paymentActivityId":118419,
   "reference":"this is a test payment",
   "effectiveTimestamp":"2017-01-25T19:11:00.0009221Z",
   "description":null,
   "customerId":172677,
   "originalPaymentActivityId":null,
   "amount":10.0,
   "currency":"USD",
   "invoiceAllocations":[ 

   ],
   "refunds":[ 

   ],
   "unallocatedAmount":10.0,
   "refundableAmount":10.0,
   "id":7613586,
   "uri":"https://secure.fusebill.com/v1/payments/7613586"
}
{
    "ErrorId": 0,
    "HttpStatusCode": 404,
    "Errors": [
        {
            "Key": "Api Error",
            "Value": "Payment with id 123 not found."
        }
    ]
}
Path Params
integer
required

The Stax Bill generated ID that uniquely identifies this payment.

Response
200
Language
Credentials
Header
LoadingLoading…